Bug 1253896 - Ctrl Alt G -- Multiple Virtual Machines
Ctrl Alt G -- Multiple Virtual Machines
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
22
x86_64 Windows
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-15 02:38 EDT by hotbot200
Modified: 2016-04-11 14:06 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-11 14:06:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1485180 None None None Never

  None (edit)
Description hotbot200 2015-08-15 02:38:29 EDT
I'm using Fedora 22.

Firstly, what works:
A single VM instance, running Windows. Although, I am keeping this (GTK) window focused.

What really fails:
If I have two running VM's, WIndows XP and Windows Vista:
1. I press Ctrl-Alt-G to get the focus.
2. That works first time.
3. Then I press Ctrl-Alt-G again.
4. Then Alt-Tab to the other machine (switching from XP to Vista, or back.)
5. Then press Ctrl-Alt-G to gain focus:
- Problem is that now the Ctrl-Alt-G, although showing in the title bar, only grabs the mouse, but NOT the keyboard. That is to say, whilst in Ctrl-Alt-G mode the second time, pressing Alt-Tab jumps back to the other VM!

Pressing Alt-F4 quits!!!!!!!!!!!!! Regardless of whether Ctrl-Alt-G mode or not!
But only when running two VM's.

Thanks
Misha
Comment 1 Cole Robinson 2016-03-16 21:13:01 EDT
Are you on f23 yet? have you tried qemu there?

Note You need to log in before you can comment on or make changes to this bug.